/*--------------------------------------------------------------------------
REG51.H

Header file for generic 80C51 and 80C31 microcontroller.
Copyright (c) 1988-2002 Keil Elektronik GmbH and Keil Software, Inc.
All rights reserved.
--------------------------------------------------------------------------*/
#ifndef __HC_SR04_H__
#define __HC_SR04_H__

#define MIN_DISTANCE  25


#define CHECK_FLAG	HC_SR04.checkFlag.systemBit.bit0

//定义结构体类型
typedef struct 
{
	float checkForwardDistance;
	float checkLeftDistance;
	float checkRightDistance;
	
	systemFlag_t checkFlag;		  //检测标志位
	
	float checkCurDistance;		  //检测当前距离的时间
	uint8_t checkErrorTimeCnt; // 故障倒计时
	
	void(*Timer2_Init)(void);		//定时器2初始化
	float(*checkDistance)(void);//检测距离

}HC_SR04_t;




//外部化结构体 
extern HC_SR04_t HC_SR04;  
#endif










