/*--------------------------------------------------------------------------
REG51.H

Header file for generic 80C51 and 80C31 microcontroller.
Copyright (c) 1988-2002 Keil Elektronik GmbH and Keil Software, Inc.
All rights reserved.
--------------------------------------------------------------------------*/
#ifndef __MG_90S_H__
#define __MG_90S_H__

//宏定义管脚 
#define MG90S_PWM_GPIO  P12

//周期
#define PWM_PERIOD  199

//占空比
#define PWM_DUTY  	100


typedef enum
{
	DUTY_R90 = 5, //右面90度
	DUTY_R75 = 8, //右面斜上70度
	DUTY_R45 = 10,//右面斜上45度
	DUTY_MID = 15,//正面90度
	DUTY_L45 = 20,//左面斜上45度
	DUTY_L75 = 22,//左面斜上70度
	DUTY_L90 = 25,//左面90度 
}PWMduty_t;
 


//定义结构体类型
typedef struct
{
	uint8_t PWMduty;
	uint8_t PWMcycle;
	
	//void(*Adjust_PWM_Duty)(void);

	void(*direction_forward)(void);
	void(*direction_Left)(void);
	void(*direction_Right)(void);

}MG90S_t;



//外部化结构体 
extern MG90S_t MG90S; 
#endif










