#include "main.h"

	//P00 P46  A1 A0
	//P45 P27  B1 B0

#define MOTOR_RIGHT1_GPIO P00
#define MOTOR_RIGHT2_GPIO P46

#define MOTOR_LEFT1_GPIO  P45
#define MOTOR_LEFT2_GPIO  P27


/***************************************************************************************
  * @说明  	函数声明
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void Init(void);
static void Forward(void);
static void Back(void);
static void Left(void);
static void Right(void);
static void Stop(void);
 
/***************************************************************************************
  * @说明  	定义结构体
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
motor_t motor =
{
	Init,
	Forward,
	Back,
	Left,
	Right,	
	Stop,
};


static void Init(void)
{
  P0M0 |= 0x01;//P00
  P0M1 |= 0x00;

  P4M0 |= 0x60;//P45 P46
  P4M1 |= 0x00;
	
	
	P2M0 |= 0x80;//P27
  P2M1 |= 0x00;
	
	
	//P00 P46  A1 A0
	//P45 P27  B1 B0
	
}



/***************************************************************************************
  * @说明  	电机向前
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void Forward(void)
{
	 MOTOR_RIGHT1_GPIO  = 1;
	 Delay_ms(1);
	MOTOR_RIGHT1_GPIO  = 0;
	 Delay_ms(1);
//	 MOTOR_RIGHT2_GPIO  = 0;
	
	 MOTOR_LEFT1_GPIO   = 1;
	 MOTOR_LEFT2_GPIO   = 0;
	
}


/***************************************************************************************
  * @说明  	电机向后
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void Back(void)
{
	 MOTOR_RIGHT1_GPIO  = 0;
	 MOTOR_RIGHT2_GPIO  = 1;
	
	 MOTOR_LEFT1_GPIO   = 0;
	 MOTOR_LEFT2_GPIO   = 1;

}	


/***************************************************************************************
  * @说明  	电机向左
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void Left(void)
{
	 MOTOR_RIGHT1_GPIO  = 1;
	 MOTOR_RIGHT2_GPIO  = 0;
	
	 MOTOR_LEFT1_GPIO   = 0;
	 MOTOR_LEFT2_GPIO   = 1;

}	


/***************************************************************************************
  * @说明  	电机向右
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void Right(void)
{
	 MOTOR_RIGHT1_GPIO  = 0;
	 MOTOR_RIGHT2_GPIO  = 1;
	
	 MOTOR_LEFT1_GPIO   = 1;
	 MOTOR_LEFT2_GPIO   = 0;
}


/***************************************************************************************
  * @说明  	电机停止
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void Stop(void)
{
	 MOTOR_RIGHT1_GPIO  = 0;
	 MOTOR_RIGHT2_GPIO  = 0;
	
	 MOTOR_LEFT1_GPIO   = 0;
	 MOTOR_LEFT2_GPIO   = 0;
}


