#include "main.h"

/***************************************************************************************
  * @说明  	函数声明
  * @参数		无
  * @返回值 	无
  * @注		  无
***************************************************************************************/
static void Timer0_Init(void);
static void Delay_ms(uint16_t ms);




/***************************************************************************************
  * @说明  	定义结构体
  * @参数		无
  * @返回值 	无
  * @注		  无
***************************************************************************************/
Timer0_t Timer0 =
{
//	0,
//	0,
//	0,
//	0,
	0,
	0,
	0,
	Timer0_Init,
	Delay_ms,
};



/***************************************************************************************
  * @说明  	1ms
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void Timer0_Init(void)		//1毫秒@11.0592MHz
{
 
	
    TMOD &= 0xF0; // 将T0模式清零
    TMOD |= 0x01; // 设置T0为模式1，16位定时器

     //TL0 = 0x73; // 定时初值低字节，假设晶振频率为11.0592 MHz，定时1ms(示波器测量)
     //TH0 = 0xFC; // 定时初值高字节

	  TL0 = 0xAF;		//定时初值低字节，假设晶振频率为11.0592 MHz，定时100us(示波器测量)
		TH0 = 0xFF;		//定时初值高字节


	
    TR0 = 1;     // 启动定时器T0
		TF0 = 0; 		 // 清除定时器T0中断标志
	

}


/***************************************************************************************
  * @说明  	timer0中断
  * @参数		无
  * @返回值 	无
  * @注		  无
***************************************************************************************/
static void Timer0_Isr(void) interrupt 1
{

//TL0 = 0x73;   //一定要重装;载定时1ms
//TH0 = 0xFC; 

	TL0 = 0xAF;		//设置定时初始值 载定时100us
	TH0 = 0xFF;		//设置定时初始值

	
	HC_SR04.checkErrorTimeCnt++;//超声波模块计数
 
	
	//MG90S舵机PWM 周期20ms
	//MG90S.Adjust_PWM_Duty();(函数包裹导致定时运行拖慢)
	MG90S.PWMcycle++;
	if(MG90S.PWMcycle>PWM_PERIOD)
	{
			MG90S.PWMcycle = 0;
	}
	if(MG90S.PWMcycle<MG90S.PWMduty)
	{
		MG90S_PWM_GPIO = 1;//PWM管脚输出高
	}
	else 
	{
		MG90S_PWM_GPIO =0;//PWM管脚输出低
	}

	
	
	
	//1ms标志
	if(++Timer0.timer1ms_Cnt>=TIEMR1MS)
	{
			Timer0.timer1ms_Cnt=0;
			//timer1msFlag  =1;
		
		if(Timer0.timerDelayMs_Cnt)//延时函数
				Timer0.timerDelayMs_Cnt--;
	}
	
	
	
//	//2ms标志
//	if(++Timer0.timer2ms_Cnt>=TIEMR2MS)
//	{
//			Timer0.timer2ms_Cnt=0;
//			timer2msFlag  =1;
//	}

//	//10ms标志
//	if(++Timer0.timer10ms_Cnt>=TIEMR10MS)
//	{
//			Timer0.timer10ms_Cnt=0;
//			timer10msFlag  =1;	
//	}

//	//100ms标志
//	if(++Timer0.timer100ms_Cnt>=TIEMR100MS)
//	{
//			Timer0.timer100ms_Cnt=0;
//			timer100msFlag  =1;	
//	}
	
//	//500ms标志
//	if(++Timer0.timer500ms_Cnt>=TIEMR500MS)
//	{
//			Timer0.timer500ms_Cnt=0;
//			timer500msFlag  =1;
//	}
	
	
	
	
	
}



/***************************************************************************************
  * @说明  	timer0延时
  * @参数		无
  * @返回值 	无
  * @注		  无
***************************************************************************************/
static void Delay_ms(uint16_t ms)
{
		Timer0.timerDelayMs_Cnt=ms;
		while(Timer0.timerDelayMs_Cnt);
	
}





