/*--------------------------------------------------------------------------
REG51.H

Header file for generic 80C51 and 80C31 microcontroller.
Copyright (c) 1988-2002 Keil Elektronik GmbH and Keil Software, Inc.
All rights reserved.
--------------------------------------------------------------------------*/
#ifndef __TIEMR0_H__
#define __TIEMR0_H__

#define timer2msFlag    Timer0.timerFlag.systemBit.bit0
#define timer10msFlag   Timer0.timerFlag.systemBit.bit1
#define timer50msFlag   Timer0.timerFlag.systemBit.bit2
#define timer100msFlag  Timer0.timerFlag.systemBit.bit3
#define timer500msFlag  Timer0.timerFlag.systemBit.bit4
#define timer1msFlag  	Timer0.timerFlag.systemBit.bit5


//枚举
typedef enum//100us
{
	TIEMR1MS  = (uint8_t)10,
	TIEMR2MS  = (uint8_t)20,
	TIEMR10MS  = (uint8_t)100,
	TIEMR15MS  = (uint8_t)150,
	TIEMR20MS	 = (uint8_t)200,
	TIEMR50MS	 = (uint16_t)500,
	TIEMR100MS = (uint16_t)997,
	TIEMR500MS = (uint16_t)5000,
	
	
}usMcuTimer_t;



//定义结构体类型
typedef struct
{
//	uint16_t  timer500ms_Cnt;
//	uint16_t  timer100ms_Cnt;
//	uint16_t  timer10ms_Cnt;
//	uint16_t  timer2ms_Cnt;
	uint8_t  timer1ms_Cnt;
	uint16_t  timerDelayMs_Cnt;
	
	systemFlag_t timerFlag;
	
	void(*Timer0_Init)(void);
	void (*Delay_ms)(uint16_t ms);
	
}Timer0_t;



//外部化结构体 
extern Timer0_t Timer0;  
#endif










