#include "main.h"

 
 

/***************************************************************************************
  * @说明  	函数声明
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void uart_Init(void);
static void sendData(uint8_t dat);
 
/***************************************************************************************
  * @说明  	定义结构体
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
uart_t uart =
{
	BAUDRATE_9600,
	0,
	uart_Init,
	sendData,
};



/***************************************************************************************
  * @说明  	串口初始化
	* @参数		定时器12T模式     1T不行，系统时钟12T
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void uart_Init(void)
{
  SCON 	= 0x50;		//8位数据,可变波特率
	TMOD &= 0x0F;		//设置定时器模式
	TMOD |= 0x20;		//设置定时器模式

	switch(uart.BaudRate)
	{
		case BAUDRATE_2400  : TH1 =0xF4; TL1 =0xF4  ;break;//设置定时重载值
		case BAUDRATE_4800  : TH1 =0xFA; TL1 =0xFA  ;break;//ISP生成
		case BAUDRATE_9600  : TH1 =0xFD; TL1 =0xFD  ;break;
		case BAUDRATE_14400 : TH1 =0xFE; TL1 =0xFE  ;break;
		default 						: TH1 =0xFD; TL1 =0xFD 	;break;
	}
	
	TR1 	= 1;			//定时器1开始计时


}

/***************************************************************************************
  * @说明  	发送数据
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void sendData(uint8_t dat)
{
	while(SEND_FLAG);
	SEND_FLAG = TRUE;
	SBUF = dat;        //发送数据到串口寄存器

}

/***************************************************************************************
  * @说明  	串口中断
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
static void Uart_Isr() interrupt 4
{

    if (TI)
    {
        TI = 0;             //清除发送完成标志位
				SEND_FLAG = FALSE;	//发送完成置位
    }
}


/***************************************************************************************
  * @说明  	putchar字符发送函数重定向
  * @参数		无
  * @返回值 无
  * @注		  无
***************************************************************************************/
//extern char putchar(char c)
//{
//	uart.sendData((uint8_t)c);
//	return c;
//}




















