/*--------------------------------------------------------------------------
REG51.H

Header file for generic 80C51 and 80C31 microcontroller.
Copyright (c) 1988-2002 Keil Elektronik GmbH and Keil Software, Inc.
All rights reserved.
--------------------------------------------------------------------------*/
#ifndef __UART_H__
#define __UART_H__

//宏定义标志位
#define RCE_FLAG   uart.uartFlag.systemBit.bit0 
#define SEND_FLAG  uart.uartFlag.systemBit.bit1 

//波特率枚举
typedef enum
{
	BAUDRATE_2400  = 0x01,
	BAUDRATE_4800  = 0x02,
	BAUDRATE_9600  = 0x03,
	BAUDRATE_14400 = 0x04,

}BaudRate_t;




//定义结构体类型
typedef struct
{
	BaudRate_t BaudRate;
	
	systemFlag_t uartFlag;

	void(*uart_Init)(void);
	void(*sendData)(uint8_t dat);


}uart_t;




//外部化结构体 
extern uart_t uart;  




#endif










